Subject: Re: [lojban] Dictionary format

From: Pierre Abbat <[email-masked]>
Date: Tue, 17 Apr 2001 19:08:09 -0400

On Tue, 17 Apr 2001, Robin Lee Powell wrote:
>On Sun, Apr 15, 2001 at 12:40:06AM -0400, Pierre Abbat wrote:
>> I'm thinking that, besides the dictionary format we currently have
>> (jukni:juk:spider:x1 is a spider of species x2:sometimes long list of comments
>> and cross-references), which is good for the Web, 
>
>You're kidding, right? I think it sucks rocks.

Check out le gismu tersisku. That uses the gismu file, with at-signs added to
mark what should be hyperlinks (otherwise there would be no way to distinguish
the English word "curve" from the Lojban word "curve" and make only the latter
a hyperlink). Now does it suck, rock, suck rocks, or rock sucks?

>It's a little compact for my taste, but it'd certainly work. Where do
>the definitions themselves go, though?

The definition is just "animal". The place structure is in brackets.

>Here's what I use:
>
> danlu dal da'u animal
> x1 is an animal/creature of species x2; x1 is
> biologically animate
>
> (cf. banfi, cinki, cipni, finpe, jukni, respa, since,
> mabru, bakni)

And how would you format the English-Lojban side?

phma